/****************************************************************************

    QSudoku - a application for solving and generating sudoku puzzles
    Copyright (C) 2005  Yulia Shabunio

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
    02110-1301, USA.

 ****************************************************************************/

#ifndef SUDOKU_GENERATOR
#define SUDOKU_GENERATOR 1

#include "SudokuSolver.h"

class SudokuGenerator
{
public:
   // difficuly = 0 - EASY
   // difficuly = 1 - MEDIUM
   // difficuly = 1 - HARD
   static SudokuTask Generate(const SudokuTask & source, int desired_difficuly );
};


#endif
